
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>6.2. [U4.11.01] : Procedure DEBUT &#8212; Code-Aster v14 0.1 documentation</title>
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/app.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../_static/graphviz.css" />
    <link rel="stylesheet" type="text/css" href="../../_static/code_aster.css" />
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="6.3. [U4.21.01] : Operator LIRE_MAILLAGE (READ_MESH)" href="u4.21.01.html" />
    <link rel="prev" title="6.1. [U4.01.00]: How to read the documentation of commands" href="u4.01.00.html" />

<script type="text/javascript" src="../../_static/sidebar.js"></script>

<link rel="stylesheet" href="https://use.typekit.net/isi7ftn.css">
<script>try{Typekit.load({ async: true });}catch(e){}</script>
<script type="text/javascript" src="../../_static/copybutton.js"></script>


  </head><body>
<div class="topbar">
  <!--
  <a class="brand" title="Documentation Home" href="../../index.html">
    <span id="logotext">LSST Science Pipelines</span>
  </a>
  -->
  <ul>
    <li><a href="https://www.code-aster.org/V2/spip.php?rubrique19">Code Aster PDF Docs</a></li>
  </ul>
</div>

<div class="related">
    <h3>Navigation</h3>
    <ul>
      <li class="right">
	<a href="u4.21.01.html" title="6.3. [U4.21.01] : Operator LIRE_MAILLAGE (READ_MESH)">
	  next &raquo;
	</a>
      </li>
      <li class="right">
	<a href="u4.01.00.html" title="6.1. [U4.01.00]: How to read the documentation of commands">
	  &laquo; previous
	</a>
	 |
      </li>
      <li>
	<a href="../../index.html">Code-Aster v14 0.1 documentation</a>
	 &#187;
      </li>
      <li><a href="u4_toc.html" accesskey="U"><span class="section-number">6. </span><strong>U4</strong>: Command documentation</a> &#187;</li>
      
      <li><span class="section-number">6.2. </span><strong>[U4.11.01]</strong> : Procedure <code class="docutils literal notranslate"><span class="pre">DEBUT</span></code></li> 
    </ul>
</div>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="u4-11-01-procedure-debut">
<span id="u4-11-01"></span><span id="index-0"></span><h1><span class="section-number">6.2. </span><strong>[U4.11.01]</strong> : Procedure <code class="docutils literal notranslate"><span class="pre">DEBUT</span></code><a class="headerlink" href="#u4-11-01-procedure-debut" title="Permalink to this headline">¶</a></h1>
<div class="section" id="purpose">
<span id="u4-11-01-1"></span><h2><span class="section-number">6.2.1. </span>Purpose<a class="headerlink" href="#purpose" title="Permalink to this headline">¶</a></h2>
<p>Assign resources for memory, disk and files.</p>
<p>The execution of a run consists of a set of commands starting with <span class="red">DEBUT</span> and ending with <span class="red">FIN</span>
<span class="xref std std-ref">[U4.11.02]</span>, (see also the <span class="red">POURSUITE</span> procedure <span class="xref std std-ref">[U4.11.03]</span>).</p>
<p>The <span class="red">DEBUT</span> command, which is executed as soon as it is read by the Supervisor, performs the
following tasks:</p>
<ul class="simple">
<li><p>definition of the characteristics of the databases (managed by <span class="green">JEVEUX</span>) and allocation of
associated files,</p></li>
<li><p>reading catalogs of elements and commands</p></li>
</ul>
<p>The apparently complex syntax of this procedure should not worry the user; a call with the default operands,
sufficient in most cases, is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">DEBUT</span><span class="p">()</span>
</pre></div>
</div>
<p>The operands are to be used in the case of studies for which database sizes are important or to change
the various numbers of logical unit of files to values that are different from the numbers assigned by
default.</p>
<p>Any commands before <span class="red">DEBUT</span>, if they are syntactically correct, are ignored.</p>
</div>
<div class="section" id="syntax">
<span id="u4-11-01-2"></span><h2><span class="section-number">6.2.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>DEBUT(

  ◊ PAR_LOT = / &#39;OUI&#39;,                              [DEFAULT]
              / &#39;NON&#39;,
  ◊ IMPR_MACRO = / &#39;NON&#39;,                           [DEFAULT]
                 / &#39;OUI&#39;,
  ◊ LANG = lang,                                    [TXM]
  ◊ BASE = _F(
              ♦ FICHIER = / &#39;GLOBALE&#39;,
                          / &#39;VOLATILE&#39;,
                          / | LONG_ENRE = lenr,     [I]
                            | NMAX_ENRE = nenr,     [I]
                            | LONG_REPE = lrep,     [I]
             ),
  ◊ CODE = _F(
              ♦ NIV_PUB_WEB = / &#39;INTERNET&#39;,
                              / &#39;INTRANET&#39;,
             ),
  ◊ ERREUR = _F(
                ERREUR_F = / &#39;ABORT&#39;,               [DEFAULT]
                           / &#39;EXCEPTION&#39;,
               ),
  ◊ IGNORE_ALARM = l_vale,                          [l_Kn]
  ◊ DEBUG = _F(
               JXVERI = / &#39;OUI&#39;,
                        / &#39;NON&#39;,
               ENVIMA = &#39;TEST&#39;,                     [l_Kn]
               ◊ JEVEUX = / &#39;OUI&#39;,
                          / &#39;NON&#39;,
               ◊ SDVERI = / &#39;OUI&#39;,
                          / &#39;NON&#39;,
               ◊ HIST_ETAPE = / &#39;NON&#39;,
                              / &#39;OUI&#39;,
              ),
  ◊ MESURE_TEMPS = _F(
                      ◊ NIVE_DETAIL = / 0           [DEFAULT]
                                      / 1
                                      / 2
                                      / 3
                      ◊ MOYENNE = / &#39;NON&#39;           [DEFAULT]
                                  / &#39;OUI&#39;
                     ),
  ◊ MEMOIRE = _F(
                 ◊ TAILLE_BLOCK = / 800.,           [DEFAULT]
                                  / tbloc,          [R]
                ),
  ◊ CATALOGUE = _F(
                   ♦ FICHIER = nfic,                [l_Kn]
                   ◊ UNITE = unit,                  [I]
                  ),
  ◊ RESERVE_CPU = _F(
                     / VALE = value                 [R]
                     / POURCENTAGE = percent        [R]
                     ◊ BORNE = / bv,                [R]
                               / 900.               [DEFAULT]),
)
</pre></div>
</div>
</div>
<div class="section" id="displayed-messages">
<span id="u4-11-01-3"></span><h2><span class="section-number">6.2.3. </span>Displayed messages<a class="headerlink" href="#displayed-messages" title="Permalink to this headline">¶</a></h2>
<p>At the start of the execution of <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code>, a header is displayed. We find there :
* precise identification of the version used: version number, date of the last modifications,
* the date and time of the start of the execution,
* the name, architecture, operating system of the machine,
* the language used for displaying messages,
* the type of parallelism available (MPI / OpenMP), the number of allocated processors,
* the version of the libraries used (when available) for <code class="docutils literal notranslate"><span class="pre">hdf5</span></code>, <code class="docutils literal notranslate"><span class="pre">med</span></code>, <code class="docutils literal notranslate"><span class="pre">mumps</span></code>, <code class="docutils literal notranslate"><span class="pre">scotch</span></code>,
* then information on the distribution of the memory. For example :</p>
<blockquote>
<div><div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">Memory</span> <span class="n">limit</span> <span class="k">for</span> <span class="n">execution</span><span class="p">:</span> <span class="mf">256.00</span> <span class="n">MB</span>
<span class="n">consumed</span> <span class="n">by</span> <span class="n">initialization</span><span class="p">:</span> <span class="mf">148.68</span> <span class="n">MB</span>
<span class="n">by</span> <span class="n">the</span> <span class="n">objects</span> <span class="n">of</span> <span class="n">the</span> <span class="n">command</span> <span class="nb">set</span><span class="p">:</span> <span class="mf">17.48</span> <span class="n">MB</span>
<span class="n">remainder</span> <span class="k">for</span> <span class="n">dynamic</span> <span class="n">allocation</span><span class="p">:</span> <span class="mf">89.84</span> <span class="n">MB</span>
<span class="n">Swap</span> <span class="n">file</span> <span class="n">size</span> <span class="n">limit</span><span class="p">:</span> <span class="mf">48.00</span> <span class="n">GB</span>
</pre></div>
</div>
</div></blockquote>
<p>Which means :</p>
<ul class="simple">
<li><p>256 MB is the amount of memory requested by the user, it is the total amount that is cannot be
exceeded during execution.</p></li>
<li><p>148.68 MB is consumed simply to start the execution (loading the executable, associated dynamic
libraries, etc.).</p></li>
<li><p>17.48 MB is consumed to read the command file (Note: in mode <span class="blue">PAR_LOT = ‘NON’</span>, the command
set is read progressively and this value will then be zero).</p></li>
<li><p>89.84 MB is the amount of memory available (at this moment) for the objects of the calculation (equal
to 256-148.68-17.48).  It is thus seen that computation cannot begin if this value is too low.</p></li>
</ul>
<p>During execution, depending on the dynamic allocations made, when this value varies by more than 10%
(upwards or downwards), a message of the following form is printed:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">The</span> <span class="n">memory</span> <span class="n">currently</span> <span class="n">consumed</span> <span class="k">except</span> <span class="n">JEVEUX</span> <span class="ow">is</span> <span class="mf">214.08</span> <span class="n">MB</span><span class="o">.</span>
<span class="n">The</span> <span class="n">limit</span> <span class="n">of</span> <span class="n">the</span> <span class="n">dynamic</span> <span class="n">allocation</span> <span class="n">JEVEUX</span> <span class="ow">is</span> <span class="n">fixed</span> <span class="n">at</span> <span class="mf">41.92</span> <span class="n">MB</span><span class="o">.</span>
</pre></div>
</div>
<p>At the end of the execution, a report indicates whether the same calculation can be restarted with
less memory:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">The</span> <span class="n">memory</span> <span class="n">requested</span> <span class="n">at</span> <span class="n">launch</span> <span class="ow">is</span> <span class="n">overestimated</span><span class="p">,</span> <span class="n">it</span> <span class="ow">is</span> <span class="mi">256</span> <span class="n">MB</span><span class="o">.</span>
<span class="n">The</span> <span class="n">peak</span> <span class="n">memory</span> <span class="n">used</span> <span class="ow">is</span> <span class="mf">216.02</span> <span class="n">MB</span><span class="o">.</span>
</pre></div>
</div>
<p>or, if more memory is required (depending on the platform, the maximum limit may be exceeded without
the system having interrupted the calculation):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">The</span> <span class="n">memory</span> <span class="n">requested</span> <span class="n">at</span> <span class="n">launch</span> <span class="ow">is</span> <span class="n">underestimated</span><span class="p">,</span> <span class="n">it</span> <span class="ow">is</span> <span class="mi">256</span> <span class="n">MB</span><span class="o">.</span>
<span class="n">The</span> <span class="n">peak</span> <span class="n">memory</span> <span class="n">used</span> <span class="ow">is</span> <span class="mf">273.22</span> <span class="n">MB</span><span class="o">.</span>
</pre></div>
</div>
</div>
<div class="section" id="operands">
<span id="u4-11-01-4"></span><h2><span class="section-number">6.2.4. </span>Operands<a class="headerlink" href="#operands" title="Permalink to this headline">¶</a></h2>
<div class="section" id="operand-par-lot-batch">
<span id="u4-11-01-4-1"></span><h3><span class="section-number">6.2.4.1. </span>Operand <span class="blue">PAR_LOT</span> (<span class="gray">BATCH</span>)<a class="headerlink" href="#operand-par-lot-batch" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">PAR_LOT</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span>                  <span class="p">(</span><span class="n">DEFAULT</span><span class="p">)</span>
          <span class="s1">&#39;NON&#39;</span>
</pre></div>
</div>
<p>Batch processing of commands:</p>
<p>If <span class="blue">‘OUI’</span> (default option), the supervisor analyzes all the commands before request execution.</p>
<p>If <span class="blue">‘NON’</span>, after analyzing a command, the supervisor requests its execution and then proceed to the
analysis (and to the execution) of the next command (processing command by command).</p>
</div>
<div class="section" id="keyword-impr-macro-write-macro">
<span id="u4-11-01-4-2"></span><h3><span class="section-number">6.2.4.2. </span>Keyword <span class="blue">IMPR_MACRO</span> (<span class="gray">WRITE_MACRO</span>)<a class="headerlink" href="#keyword-impr-macro-write-macro" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">IMPR_MACRO</span> <span class="o">=</span>
</pre></div>
</div>
<p>Whether or not to print outputs produced by macros in the message file. Reading message files can be
tedious when it contains all of the output of the subcommands generated by the macro itself. By default,
only the echo of commands explicitly called by the user in the command set will appear.</p>
</div>
<div class="section" id="keyword-lang">
<span id="u4-11-01-4-3"></span><h3><span class="section-number">6.2.4.3. </span>Keyword <span class="blue">LANG</span><a class="headerlink" href="#keyword-lang" title="Permalink to this headline">¶</a></h3>
<p>This keyword allows you to choose the display language for the messages output by the code.</p>
<p>If the keyword is not filled in, the environment variables determine the language of the messages
(reference: <a class="reference external" href="http://www.gnu.org/software/gettext/manual/gettext.html#Users">http://www.gnu.org/software/gettext/manual/gettext.html#Users</a>). We can, for example, define
in the <code class="docutils literal notranslate"><span class="pre">~/.bashrc</span></code> file:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">export</span> <span class="n">LANG</span> <span class="o">=</span> <span class="n">fr_FR</span><span class="o">.</span><span class="n">UTF</span><span class="o">-</span><span class="mf">8.</span>
</pre></div>
</div>
<p>The encoding (UTF-8 or ISO-8859-1) allows accented characters to be displayed correctly.</p>
<p>The <span class="red">LANG</span> keyword expects a two-letter value, for example ‘FR’ (for French) or ‘EN’ (forEnglish).</p>
<p>When a language is chosen (whether by the environment or <span class="red">LANG</span>), it is still necessary that the file
translated messages (.mo file) is available. This file is expected under this name:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ASTER_ROOT/share/locale/`lang`/LC_MESSAGES/aster_`version`.mo
</pre></div>
</div>
<p>where <code class="docutils literal notranslate"><span class="pre">$ASTER_ROOT</span></code> is the main directory of <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code> (e.g.: <code class="docutils literal notranslate"><span class="pre">/aster</span></code> or <code class="docutils literal notranslate"><span class="pre">/opt/aster</span></code>),
<code class="docutils literal notranslate"><span class="pre">lang</span></code> is the lowercase name of the language (e.g. en, fr, de …) and version is the name of the
version of <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code> used (eg stable, testing, unstable).  i</p>
<p>If the translation file cannot be read, French is used.</p>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>Even if the translation file exists, when a message has not been translated, it is displayed
in French (language in which the messages are written in the source code).</p>
</div>
</div>
<div class="section" id="keyword-base-database">
<span id="u4-11-01-4-4"></span><h3><span class="section-number">6.2.4.4. </span>Keyword <span class="blue">BASE</span> (<span class="gray">DATABASE</span>)<a class="headerlink" href="#keyword-base-database" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">BASE</span> <span class="o">=</span>
</pre></div>
</div>
<p>The functionality of this keyword is to redefine the values of the parameters of the direct access files
associated with “databases” if you do not want to use those set by default.</p>
<p>Default values for parameters associated with databases.</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p>GLOBALE</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>NMAX_ENRE</p></td>
<td><p>62914</p></td>
</tr>
<tr class="row-odd"><td><p>LONG_ENRE</p></td>
<td><p>100 words</p></td>
</tr>
<tr class="row-even"><td><p>LONG_REPE</p></td>
<td><p>2000</p></td>
</tr>
<tr class="row-odd"><td><p>VOLATILE</p></td>
<td></td>
</tr>
<tr class="row-even"><td><p>NMAX_ENRE</p></td>
<td><p>62914</p></td>
</tr>
<tr class="row-odd"><td><p>LONG_ENRE</p></td>
<td><p>100 words</p></td>
</tr>
<tr class="row-even"><td><p>LONG_REPE</p></td>
<td><p>2000</p></td>
</tr>
</tbody>
</table>
<p>One  word is worth 8 bytes on a 64-bit platform under LINUX 64, TRU64 and IRIX 64, 4 bytes on a 32-bit
platform under SOLARIS, HP-UX and WINDOWS-NT, LINUX.</p>
<p>Under Linux 64, with the default values, the <span class="red">DEBUT</span> procedure will allocate a direct access file from
plus 62914 records of 100 Kwords (the K is equal to 1024) for the ‘GLOBALE’ database.</p>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>The actual file size is dynamic; it depends on the volume of information to be stored effectively.
This size is limited by the operating conditions and a parameter defined among the values characterizing
the platform. On the 64-bit Linux reference platform, the initial size is fixed at 48 GB. This value
is used to size 2 objects used by the memory manager, it will be automatically modified during execution
if necessary.  It is possible to modify this value by passing an argument to the command line of
the executable after the keyword “-max_base size” where size is a real value measured in MB.
On 32-bit platforms, the initial size is 2.047 GB (2147483647), but the code manages several files to
go beyond this limit when the “-max_base” parameter is amended. For the Global base, which can be saved
and re-used as data in a calculation, the initial maximum size in <span class="red">POURSUITE</span> (<span class="gray">CONTINUATION</span>)
is kept as it is if the parameter “-max_base” is not used, but can be redefined as needed.</p>
</div>
<div class="section" id="operand-fichier-gray-file">
<span id="u4-11-01-4-4-1"></span><h4><span class="section-number">6.2.4.4.1. </span>Operand <span class="blue">FICHIER (:gray:`FILE</span>)<a class="headerlink" href="#operand-fichier-gray-file" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ FILE =
</pre></div>
</div>
<p>Symbolic name of the database considered.</p>
</div>
<div class="section" id="operands-long-enre-nmax-enre-long-repe">
<span id="u4-11-01-4-4-2"></span><h4><span class="section-number">6.2.4.4.2. </span>Operands <span class="blue">LONG_ENRE / NMAX_ENRE / LONG_REPE</span><a class="headerlink" href="#operands-long-enre-nmax-enre-long-repe" title="Permalink to this headline">¶</a></h4>
<p>Definition of database parameters (direct access files).</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">/</span> <span class="o">|</span> <span class="n">LONG_ENRE</span> <span class="o">=</span> <span class="n">lenr</span>
</pre></div>
</div>
<p><span class="green">lenr</span> is the length of the records in Kwords of the direct access files used.</p>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>The JEVEUX memory manager uses this parameter to determine two types of objects: large objects which
will be cut into as many records as necessary, and small objects that will be accumulated in a
record-sized buffer before being dumped.</p>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">|</span> <span class="n">NMAX_ENRE</span> <span class="o">=</span> <span class="n">nenr</span>
</pre></div>
</div>
<p><span class="green">nenr</span> is the default number of records, this value is determined from <span class="blue">LONG_ENRE</span> and an
operating parameter on the Linux64 reference platform set at 48 GB (51 539 607 552 bytes) for the maximum
size of the file associated with a database, if this value was not changed by using the <code class="docutils literal notranslate"><span class="pre">-max_base</span></code>
keyword on the command line of the executable.</p>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>The two operands <span class="blue">LONG_ENRE</span> and <span class="blue">NMAX_ENRE</span> must be used with caution, bad usage could
lead to the abrupt stopping of the program by saturation of the direct access files. Consistency between
the maximum file size and the value resulting from the product of the two parameters <span class="blue">LONG_ENRE</span>
and <span class="blue">NMAX _ENRE</span> is checked at the start of execution.</p>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">|</span> <span class="n">LONG_REPE</span> <span class="o">=</span> <span class="n">lrep</span>
</pre></div>
</div>
<p><span class="green">lrep</span> is the initial length of the directory (maximum number of objects addressable by JEVEUX), it
is managed dynamically by the memory manager which extends the size of the directory and all the associated
system objects as and when required.</p>
<div class="admonition-remark admonition">
<p class="admonition-title">Remark</p>
<p>The choice by the user to modify these different parameters definitively determines certain
characteristics of the GLOBALE base which can no longer be modified in <span class="red">POURSUITE</span>.</p>
</div>
</div>
</div>
<div class="section" id="keyword-code">
<span id="u4-11-01-4-5"></span><h3><span class="section-number">6.2.4.5. </span>Keyword <span class="blue">CODE</span><a class="headerlink" href="#keyword-code" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">CODE</span> <span class="o">=</span>
</pre></div>
</div>
<p>This keyword is intended only for the command files of the managed non regression tests with the source
code.</p>
<p>The presence of this keyword automatically activates the debugging mode <span class="blue">DEBUG(JXVERI = ‘OUI’,)</span>
which implements checks on JEVEUX objects, at an additional cost to the execution. The behavior in the
event of an error can be changed.</p>
<div class="section" id="operand-niv-pub-web-level-post-web">
<span id="u4-11-01-4-5-1"></span><h4><span class="section-number">6.2.4.5.1. </span>Operand <span class="blue">NIV_PUB_WEB</span> (<span class="gray">LEVEL_POST_WEB</span>)<a class="headerlink" href="#operand-niv-pub-web-level-post-web" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦  NIV_PUB_WEB = &#39;INTRANET&#39;
</pre></div>
</div>
<p>Post level indicator. Meaning that the test can only be broadcast on the internal network.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">NIV_PUB_WEB</span> <span class="o">=</span> <span class="s1">&#39;INTERNET&#39;</span>
</pre></div>
</div>
<p>Indicates that the test can be broadcast as is on the external network.</p>
</div>
</div>
<div class="section" id="keyword-eereur-error">
<span id="u4-11-01-4-6"></span><h3><span class="section-number">6.2.4.6. </span>Keyword <span class="blue">EEREUR</span> (<span class="gray">ERROR</span>)<a class="headerlink" href="#keyword-eereur-error" title="Permalink to this headline">¶</a></h3>
<p>Used to modify the behavior of the code in the event of an &lt;F&gt; type error.</p>
<div class="section" id="operand-erreur-f">
<span id="u4-11-01-4-6-1"></span><h4><span class="section-number">6.2.4.6.1. </span>Operand <span class="blue">ERREUR_F</span><a class="headerlink" href="#operand-erreur-f" title="Permalink to this headline">¶</a></h4>
<p>If an error occurs, the code interrupts the normal execution of the command set.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">ERREUR_F</span> <span class="o">=</span> <span class="s1">&#39;EXCEPTION&#39;</span>      <span class="p">(</span><span class="n">DEFAULT</span><span class="p">)</span>
</pre></div>
</div>
<p>By default, an exception is then thrown (for the detailed definition of a Python exception, refer to the
Python documentation or to that of the supervisor, cf. <a class="reference internal" href="u1.03.01.html#u1-03-01"><span class="std std-ref">[U1.03.01]</span></a>). In this case, the
code executes the command <span class="red">FIN</span> (cf <span class="xref std std-ref">[U4.11.02]</span>) which then closes the database in
order to make the continuation of the calculation possible. Note that, although the initial error is said
to be “fatal” (&lt;F&gt;), the diagnostic is <code class="docutils literal notranslate"><span class="pre">&lt;S&gt;_ERROR</span></code> since the exception is “caught” by <span class="red">FIN</span>.
This database will then be copied by the study manager.</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">ERREUR_F</span> <span class="o">=</span> <span class="s1">&#39;ABORT&#39;</span>
</pre></div>
</div>
<p>This indicates that one explicitly asks the code to interrupt the execution of the set of commands in
the event
of a fatal error (&lt;F&gt;). The <span class="red">END</span> command is not executed, and the database is therefore not closed
correctly, it is not copied and no recovery is possible.</p>
<div class="admonition-remarks admonition">
<p class="admonition-title">Remarks</p>
<p>For the execution of the benchmarks by the developers, the stop by <span class="blue">ABORT</span> is automatic and
the default behavior. This is activated by the presence of the keyword factor <span class="blue">CODE</span> (except if
<span class="blue">ERREUR_F</span> specifies something else).</p>
<p>In the event of a lack of CPU time, of memory, for all errors of type &lt;S&gt; and exceptions, the behavior
is that described when <span class="blue">ERREUR_F = ‘EXCEPTION’</span>.</p>
</div>
</div>
</div>
<div class="section" id="keyword-ignore-alarme">
<span id="u4-11-01-4-7"></span><h3><span class="section-number">6.2.4.7. </span>Keyword <span class="blue">IGNORE_ALARME</span><a class="headerlink" href="#keyword-ignore-alarme" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">IGNORE_ALARME</span> <span class="o">=</span>
</pre></div>
</div>
<p>Allows the user to suppress the display of certain alarms (of which the origin is known) in order to
more easily identify other alarms that may appear.</p>
<p>When executing the <span class="red">FIN</span> command, a summary table of the alarms emitted during execution (and the
number of occurrences). Alarms ignored by the user are preceded by ‘*’ to distinguish them (and they appear
even if they have not been issued).</p>
<p>An example of ignored alarms is:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">IGNORE_ALARME</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;MED_2&#39;</span><span class="p">,</span> <span class="s1">&#39;SUPERVIS_40&#39;</span><span class="p">,</span> <span class="o">...</span><span class="p">)</span><span class="o">.</span>
</pre></div>
</div>
</div>
<div class="section" id="keyword-debug">
<span id="u4-11-01-4-8"></span><h3><span class="section-number">6.2.4.8. </span>Keyword <span class="blue">DEBUG</span><a class="headerlink" href="#keyword-debug" title="Permalink to this headline">¶</a></h3>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">DEBUG</span> <span class="o">=</span>
</pre></div>
</div>
<p>Debugging option (reserved for developers and code maintenance).</p>
<div class="section" id="operand-jxveri">
<span id="u4-11-01-4-8-1"></span><h4><span class="section-number">6.2.4.8.1. </span>Operand <span class="blue">JXVERI</span><a class="headerlink" href="#operand-jxveri" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">JXVERI</span> <span class="o">=</span>
</pre></div>
</div>
<p>Used to check the integrity of memory segments between two consecutive command executions. By default, the
execution is carried out without <span class="blue">“DEBUG”</span>. This option is always activated in the presence of the
keyword <span class="blue">CODE</span>.</p>
</div>
<div class="section" id="operand-envima">
<span id="u4-11-01-4-8-2"></span><h4><span class="section-number">6.2.4.8.2. </span>Operand <span class="blue">ENVIMA</span><a class="headerlink" href="#operand-envima" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">ENVIMA</span> <span class="o">=</span> <span class="s1">&#39;TEST&#39;</span>
</pre></div>
</div>
<p>Used to print the values of the parameters defined in the software package in the RESULT file
ENVIMA characterizing the machine <span class="xref std std-ref">[D6.01.01]</span>.</p>
</div>
<div class="section" id="operand-jeveux">
<span id="u4-11-01-4-8-3"></span><h4><span class="section-number">6.2.4.8.3. </span>Operand <span class="blue">JEVEUX</span><a class="headerlink" href="#operand-jeveux" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ JEVUX =
</pre></div>
</div>
<p>Allows to activate the operating mode in debug of the JEVEUX memory manager: undelayed disk unloads and
assignment of value segments to an undefined value <span class="red">[D6.02.01] &lt;d6.02.01&gt;</span>.</p>
</div>
<div class="section" id="operand-sdveri">
<span id="u4-11-01-4-8-4"></span><h4><span class="section-number">6.2.4.8.4. </span>Operand <span class="blue">SDVERI</span><a class="headerlink" href="#operand-sdveri" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">SDVERI</span> <span class="o">=</span> <span class="s1">&#39;NON&#39;</span>
</pre></div>
</div>
<p>The use of this keyword is intended for developers. Please note that this functionality causes a
significant additional cost during execution.</p>
<p>This keyword triggers the checking of the data structures
produced by the operators. It is used within the framework of the procedures of development of the code
in the tests of non regression. If the keyword <span class="blue">CODE</span> is present, this keyword takes the default
value <span class="blue">‘OUI’</span>.</p>
</div>
<div class="section" id="operand-hist-etape">
<span id="u4-11-01-4-8-5"></span><h4><span class="section-number">6.2.4.8.5. </span>Operand <span class="blue">HIST_ETAPE</span><a class="headerlink" href="#operand-hist-etape" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">HIST_ETAPE</span> <span class="o">=</span> <span class="s1">&#39;NON&#39;</span>
</pre></div>
</div>
<p>This keyword is used to keep all the history of the steps / commands used. This is greedy in memory and
should only be used for very specific cases (the commands which require it are indicated in the
documentation). By default, this history is not stored.</p>
</div>
</div>
<div class="section" id="keyword-mesure-temps-measure-time">
<span id="u4-11-01-4-9"></span><h3><span class="section-number">6.2.4.9. </span>Keyword <span class="blue">MESURE_TEMPS</span> (<span class="gray">MEASURE_TIME</span>)<a class="headerlink" href="#keyword-mesure-temps-measure-time" title="Permalink to this headline">¶</a></h3>
<p>The keyword <span class="blue">MESURE_TEMPS</span> makes it possible to choose the level of detail of the output of CPU time
which will be displayed in the message file by the commands carrying out elementary calculations,
solutions of linear systems, unloading objects to disk or MPI communications.</p>
<div class="section" id="operand-nive-detail-level-of-detail">
<span id="u4-11-01-4-9-1"></span><h4><span class="section-number">6.2.4.9.1. </span>Operand <span class="blue">NIVE_DETAIL</span> (<span class="gray">LEVEL_OF_DETAIL</span>)<a class="headerlink" href="#operand-nive-detail-level-of-detail" title="Permalink to this headline">¶</a></h4>
<p>By default, at the end of each command, we will print a line such as:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="c1"># 1.Solution.of.linear.systems               CPU. (USER + SYST / SYST / ELAPS): 7.52 0.79 11.22</span>
<span class="c1"># 2.Elementary.calculations.and.assemblies.  CPU. (USER + SYST / SYST / ELAPS): 15.07 0.70 15.77</span>
</pre></div>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ NIVE_DETAIL = 0   # no printing.
              = 1   # default printing
              = 2   # more detailed printing:
</pre></div>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="c1"># 1.Solution.of.linear.systems               CPU (USER + SYST / SYST / ELAPS): 7.72 0.82 8.72</span>
<span class="c1"># 1.1.Numbering,.connectivity.of.the.matrix  CPU (USER + SYST / SYST / ELAPS): 0.21 0.02 0.31</span>
<span class="c1"># 1.2.Factoring.symbolic                     CPU (USER + SYST / SYST / ELAPS): 0.58 0.05 1.28</span>
<span class="c1"># 1.3.Numeric.Factoring. (Or.precond.)       CPU (USER + SYST / SYST / ELAPS): 6.78 0.73 7.71</span>
<span class="c1"># 1.4.Solution                               CPU (USER + SYST / SYST / ELAPS): 0.15 0.02 0.35</span>
<span class="c1"># 2.Elementary.calculations.and.assemblies   CPU (USER + SYST / SYST / ELAPS): 28.87 0.64 29.47</span>
<span class="c1"># 2.1.Routine.calculation                    CPU (USER + SYST / SYST / ELAPS): 26.61 0.56 26.61</span>
<span class="c1"># 2.1.1.Routines.te00ij                      CPU (USER + SYST / SYST / ELAPS): 24.58 0.07 25.78</span>
<span class="c1"># 2.2.Assemblies                             CPU (USER + SYST / SYST / ELAPS): 2.26 0.08 3.36</span>
<span class="c1"># 2.2.1.Assembly.mrices                      CPU (USER + SYST / SYST / ELAPS): 2.02 0.06 3.12</span>
<span class="c1"># 2.2.2.Assemblage.second.members            CPU (USER + SYST / SYST / ELAPS): 0.24 0.02 0.37</span>
</pre></div>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ NIVE_DETAIL = = 3   # more detailed prints and incremental print for each time step.
</pre></div>
</div>
<p>During parallel calculations (MPI), the time spent in communications is also displayed:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="c1"># 4 MPI communications                       CPU (USER + SYST / SYST / ELAPS): 12.67 0.50 12.68</span>
</pre></div>
</div>
</div>
<div class="section" id="operand-moyenne-mean">
<span id="u4-11-01-4-9-2"></span><h4><span class="section-number">6.2.4.9.2. </span>Operand <span class="blue">MOYENNE</span> (<span class="gray">MEAN</span>)<a class="headerlink" href="#operand-moyenne-mean" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ MOYENNE = &#39;NON&#39;    # no display of statistics
          = &#39;OUI&#39;    # display of statistics
</pre></div>
</div>
<p>The <span class="blue">MOYENNE</span> keyword is used to control the display of additional statistics exclusively for
parallel calculations. This is the average of the measurements on all processors as well as the standard
deviation of these measurements. Each displayed time is then completed as follows:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="c1"># 1 Solution.linear.systems.               CPU (USER + SYST / SYST / ELAPS): 0.29 0.00 0.35</span>
    <span class="p">(</span><span class="n">average</span> <span class="o">....</span> <span class="n">diff</span><span class="o">..</span><span class="n">procs</span><span class="p">)</span>             <span class="n">CPU</span> <span class="p">(</span><span class="n">USER</span> <span class="o">+</span> <span class="n">SYST</span> <span class="o">/</span> <span class="n">SYST</span> <span class="o">/</span> <span class="n">ELAPS</span><span class="p">):</span> <span class="mf">0.30</span> <span class="mf">0.00</span> <span class="mf">0.47</span>
    <span class="p">(</span><span class="n">standard</span> <span class="n">deviation</span><span class="o">.</span><span class="n">diff</span><span class="o">..</span><span class="n">procs</span><span class="p">)</span>       <span class="n">CPU</span> <span class="p">(</span><span class="n">USER</span> <span class="o">+</span> <span class="n">SYST</span> <span class="o">/</span> <span class="n">SYST</span> <span class="o">/</span> <span class="n">ELAPS</span><span class="p">):</span> <span class="mf">0.01</span> <span class="mf">0.00</span> <span class="mf">0.05</span>
</pre></div>
</div>
</div>
</div>
<div class="section" id="keyword-memoire-memory">
<span id="u4-11-01-4-10"></span><h3><span class="section-number">6.2.4.10. </span>Keyword <span class="blue">MEMOIRE</span> (<span class="gray">MEMORY</span>)<a class="headerlink" href="#keyword-memoire-memory" title="Permalink to this headline">¶</a></h3>
<p>The allocation of the different data structures is a dynamic allocation, the user indicates the resource
limits when launching the executable in the access interface.</p>
<div class="section" id="operand-taille-group-elem-elem-group-size">
<span id="u4-11-01-4-10-1"></span><h4><span class="section-number">6.2.4.10.1. </span>Operand <span class="blue">TAILLE_GROUP_ELEM</span> (<span class="gray">ELEM_GROUP_SIZE</span>)<a class="headerlink" href="#operand-taille-group-elem-elem-group-size" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">TAILLE_GROUP_ELEM</span> <span class="o">=</span> <span class="n">tgrel</span> <span class="p">[</span><span class="n">default</span><span class="p">:</span> <span class="mi">1000</span><span class="p">]</span>
</pre></div>
</div>
<p>This parameter gives the maximum number of finite elements of the same type which will be grouped in
a group of items. This parameter influences the memory and CPU performances of elementary computations and
assemblies.</p>
<p>When increasing <span class="green">tgrel</span>, we generally have to save CPU time. On the other hand, JEVEUX objects
are bigger, which can require more memory.</p>
</div>
<div class="section" id="operand-taille-bloc-block-size">
<span id="u4-11-01-4-10-2"></span><h4><span class="section-number">6.2.4.10.2. </span>Operand <span class="blue">TAILLE_BLOC</span> (<span class="gray">BLOCK_SIZE</span>)<a class="headerlink" href="#operand-taille-bloc-block-size" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">TAILLE_BLOC</span> <span class="o">=</span> <span class="n">tbloc</span> <span class="p">[</span><span class="n">default</span><span class="p">:</span> <span class="mi">800</span><span class="p">]</span>
</pre></div>
</div>
<p>This parameter gives the size of the blocks of the factorized matrices for the LDLT solver. This size
is given in kiloR8 (1 kiloR8 = 1024 reals). This parameter influences the number of input / output
operations and therefore on assembly and solution time.</p>
<p>By default this value is fixed at 800 kiloR8, i.e. 8 records by default on the direct access file
associated with the JEVEUX database.</p>
</div>
</div>
<div class="section" id="keyword-catalogue">
<span id="u4-11-01-4-11"></span><h3><span class="section-number">6.2.4.11. </span>Keyword <span class="blue">CATALOGUE</span><a class="headerlink" href="#keyword-catalogue" title="Permalink to this headline">¶</a></h3>
<p>This keyword is reserved for developers, it is used during the compilation operation of catalogs of
elements to obtain the file in JEVEUX database format.</p>
<div class="section" id="operand-fichier-file">
<span id="u4-11-01-4-11-1"></span><h4><span class="section-number">6.2.4.11.1. </span>Operand <span class="blue">FICHIER</span> (<span class="gray">FILE</span>)<a class="headerlink" href="#operand-fichier-file" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>♦ FICHIER = nfic
</pre></div>
</div>
<p>Can only take the value <span class="green">‘CATAELEM’</span>.</p>
</div>
<div class="section" id="operand-unite">
<span id="u4-11-01-4-11-2"></span><h4><span class="section-number">6.2.4.11.2. </span>Operand <span class="blue">UNITE</span><a class="headerlink" href="#operand-unite" title="Permalink to this headline">¶</a></h4>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>◊ UNITE = unit
</pre></div>
</div>
<p>Logical unit number associated with the element catalogs. In the construction procedures of the catalog
of elements one uses a value such as 4. The file <code class="docutils literal notranslate"><span class="pre">fort.4</span></code> is obtained starting from the contents of the
catalog source directory using a Python procedure.</p>
</div>
</div>
<div class="section" id="keyword-reserve-cpu">
<span id="u4-11-01-4-12"></span><h3><span class="section-number">6.2.4.12. </span>Keyword <span class="blue">RESERVE_CPU</span><a class="headerlink" href="#keyword-reserve-cpu" title="Permalink to this headline">¶</a></h3>
<p>Used to reserve part of the CPU time allocated to the job to properly end the execution in case of stop
by lack of CPU time detected by an <code class="docutils literal notranslate"><span class="pre">Aster</span></code> command. This mechanism is not useful in the case of a batch
execution of <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code>. The value of this reserve can be indicated as an absolute value or as a
percentage of the total CPU time. This value is bounded by the value of the keyword <span class="blue">BORNE</span>
(<span class="gray">LIMIT</span>).</p>
<p>When the keyword <span class="blue">CODE</span> is present, i.e. for all the tests of non regression, one systematically
imposes a CPU time reserve of 10 seconds if the keyword <span class="blue">RESERVE_CPU</span> is absent.</p>
<p>After the execution of <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code>, it may be necessary to carry out compression operations before
transferring the results files or the Global database which are sometimes very expensive.</p>
<div class="section" id="operand-vale-value">
<span id="u4-11-01-4-12-1"></span><h4><span class="section-number">6.2.4.12.1. </span>Operand <span class="blue">VALE</span> (<span class="gray">VALUE</span>)<a class="headerlink" href="#operand-vale-value" title="Permalink to this headline">¶</a></h4>
<p>Value expressed in seconds subtracted from the total CPU time, which is the basis for properly stopping
execution for some global commands.</p>
</div>
<div class="section" id="operand-pourcentage-percentage">
<span id="u4-11-01-4-12-2"></span><h4><span class="section-number">6.2.4.12.2. </span>Operand <span class="blue">POURCENTAGE</span> (<span class="gray">PERCENTAGE</span>)<a class="headerlink" href="#operand-pourcentage-percentage" title="Permalink to this headline">¶</a></h4>
<p>Percentage subtracted from total CPU time, which is used by some global commands for properly stopping
execution.</p>
</div>
<div class="section" id="operand-borne-limit">
<span id="u4-11-01-4-12-3"></span><h4><span class="section-number">6.2.4.12.3. </span>Operand <span class="blue">BORNE</span> (<span class="gray">LIMIT</span>)<a class="headerlink" href="#operand-borne-limit" title="Permalink to this headline">¶</a></h4>
<p>Maximum value of the time reserved, defaulting 900 seconds.</p>
</div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<form action="../../search.html" method="get">
  <input class='c-searchbox' type="text" name="q" placeholder="Search" />
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form><div>
   <h3>Quick search</h3>
   <script async src="https://cse.google.com/cse.js?cx=1913d02e421931d61"></script>
   <div class="gcse-search"></div>
</div><h3>On this page</h3>
<ul>
<li><a class="reference internal" href="#">6.2. <strong>[U4.11.01]</strong> : Procedure <code class="docutils literal notranslate"><span class="pre">DEBUT</span></code></a><ul>
<li><a class="reference internal" href="#purpose">6.2.1. Purpose</a></li>
<li><a class="reference internal" href="#syntax">6.2.2. Syntax</a></li>
<li><a class="reference internal" href="#displayed-messages">6.2.3. Displayed messages</a></li>
<li><a class="reference internal" href="#operands">6.2.4. Operands</a><ul>
<li><a class="reference internal" href="#operand-par-lot-batch">6.2.4.1. Operand <span class="blue">PAR_LOT</span> (<span class="gray">BATCH</span>)</a></li>
<li><a class="reference internal" href="#keyword-impr-macro-write-macro">6.2.4.2. Keyword <span class="blue">IMPR_MACRO</span> (<span class="gray">WRITE_MACRO</span>)</a></li>
<li><a class="reference internal" href="#keyword-lang">6.2.4.3. Keyword <span class="blue">LANG</span></a></li>
<li><a class="reference internal" href="#keyword-base-database">6.2.4.4. Keyword <span class="blue">BASE</span> (<span class="gray">DATABASE</span>)</a><ul>
<li><a class="reference internal" href="#operand-fichier-gray-file">6.2.4.4.1. Operand <span class="blue">FICHIER (:gray:`FILE</span>)</a></li>
<li><a class="reference internal" href="#operands-long-enre-nmax-enre-long-repe">6.2.4.4.2. Operands <span class="blue">LONG_ENRE / NMAX_ENRE / LONG_REPE</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-code">6.2.4.5. Keyword <span class="blue">CODE</span></a><ul>
<li><a class="reference internal" href="#operand-niv-pub-web-level-post-web">6.2.4.5.1. Operand <span class="blue">NIV_PUB_WEB</span> (<span class="gray">LEVEL_POST_WEB</span>)</a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-eereur-error">6.2.4.6. Keyword <span class="blue">EEREUR</span> (<span class="gray">ERROR</span>)</a><ul>
<li><a class="reference internal" href="#operand-erreur-f">6.2.4.6.1. Operand <span class="blue">ERREUR_F</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-ignore-alarme">6.2.4.7. Keyword <span class="blue">IGNORE_ALARME</span></a></li>
<li><a class="reference internal" href="#keyword-debug">6.2.4.8. Keyword <span class="blue">DEBUG</span></a><ul>
<li><a class="reference internal" href="#operand-jxveri">6.2.4.8.1. Operand <span class="blue">JXVERI</span></a></li>
<li><a class="reference internal" href="#operand-envima">6.2.4.8.2. Operand <span class="blue">ENVIMA</span></a></li>
<li><a class="reference internal" href="#operand-jeveux">6.2.4.8.3. Operand <span class="blue">JEVEUX</span></a></li>
<li><a class="reference internal" href="#operand-sdveri">6.2.4.8.4. Operand <span class="blue">SDVERI</span></a></li>
<li><a class="reference internal" href="#operand-hist-etape">6.2.4.8.5. Operand <span class="blue">HIST_ETAPE</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-mesure-temps-measure-time">6.2.4.9. Keyword <span class="blue">MESURE_TEMPS</span> (<span class="gray">MEASURE_TIME</span>)</a><ul>
<li><a class="reference internal" href="#operand-nive-detail-level-of-detail">6.2.4.9.1. Operand <span class="blue">NIVE_DETAIL</span> (<span class="gray">LEVEL_OF_DETAIL</span>)</a></li>
<li><a class="reference internal" href="#operand-moyenne-mean">6.2.4.9.2. Operand <span class="blue">MOYENNE</span> (<span class="gray">MEAN</span>)</a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-memoire-memory">6.2.4.10. Keyword <span class="blue">MEMOIRE</span> (<span class="gray">MEMORY</span>)</a><ul>
<li><a class="reference internal" href="#operand-taille-group-elem-elem-group-size">6.2.4.10.1. Operand <span class="blue">TAILLE_GROUP_ELEM</span> (<span class="gray">ELEM_GROUP_SIZE</span>)</a></li>
<li><a class="reference internal" href="#operand-taille-bloc-block-size">6.2.4.10.2. Operand <span class="blue">TAILLE_BLOC</span> (<span class="gray">BLOCK_SIZE</span>)</a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-catalogue">6.2.4.11. Keyword <span class="blue">CATALOGUE</span></a><ul>
<li><a class="reference internal" href="#operand-fichier-file">6.2.4.11.1. Operand <span class="blue">FICHIER</span> (<span class="gray">FILE</span>)</a></li>
<li><a class="reference internal" href="#operand-unite">6.2.4.11.2. Operand <span class="blue">UNITE</span></a></li>
</ul>
</li>
<li><a class="reference internal" href="#keyword-reserve-cpu">6.2.4.12. Keyword <span class="blue">RESERVE_CPU</span></a><ul>
<li><a class="reference internal" href="#operand-vale-value">6.2.4.12.1. Operand <span class="blue">VALE</span> (<span class="gray">VALUE</span>)</a></li>
<li><a class="reference internal" href="#operand-pourcentage-percentage">6.2.4.12.2. Operand <span class="blue">POURCENTAGE</span> (<span class="gray">PERCENTAGE</span>)</a></li>
<li><a class="reference internal" href="#operand-borne-limit">6.2.4.12.3. Operand <span class="blue">BORNE</span> (<span class="gray">LIMIT</span>)</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>


        </div>
      </div>
      <div class="clearer"></div>
    </div>
<footer class="footer">
  <p class="pull-right">
    <a href="../../_sources/docs/user/u4.11.01.rst.txt"
       rel="nofollow">Page Source</a> &nbsp;
    <a href="#">Back to Top</a></p>
  <p>
  </p>
  <p>
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 3.5.1. Page design is based on <a href="https://project.lsst.org">LSST</a> created modifications of Astropy's bootstrap-astropy theme in <a href="https://github.com/astropy/astropy-helpers">astropy-helpers</a>. <br />
  </p>
  <p>
    &copy; Copyright 2021, Biswajit Banerjee.  Original version &copy; Copyright 2019 EDF R&amp;D - Licensed under the terms of the GNU FDL (http://www.gnu.org/copyleft/fdl.html).<br/>
  </p>
</footer>
  </body>
</html>